const mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel applications. By default, we are compiling the CSS
 | file for the application as well as bundling up all the JS files.
 |
 */

mix
	.js('resources/js/admin/index.js', 'public/admin/js')
	.sass('resources/sass/admin/index.scss', 'public/admin/css').options({ processCssUrls: false })
	.styles([
		'resources/sass/admin/editor.css', 
	], 'public/admin/css/editor.css')
	
	.js('resources/js/user/index.js', 'public/user/js')
	.sass('resources/sass/user/index.scss', 'public/user/css').options({ processCssUrls: false })
	.styles([
		'resources/sass/user/editor.css', 
	], 'public/user/css/editor.css')
	.sourceMaps();
